Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.http.impl.nio
Class DefaultHttpClientIODispatch<H extends NHttpClientEventHandler>

    java.lang.Object
      org.apache.http.impl.nio.reactor.AbstractIODispatch<DefaultNHttpClientConnection>
          org.apache.http.impl.nio.DefaultHttpClientIODispatch<H>

Type Parameters:
  `H` - an implementation of `NHttpClientEventHandler`.

All Implemented Interfaces:
  IOEventDispatch

    @Contract(threading=IMMUTABLE_CONDITIONAL)
    public class DefaultHttpClientIODispatch<H extends NHttpClientEventHandler>

extends AbstractIODispatch<DefaultNHttpClientConnection>

Default `IOEventDispatch` implementation that supports both plain (non-encrypted) and SSL encrypted client side HTTP connections.

Since:
  4.2

Field Summary

Fields inherited from interface org.apache.http.nio.reactor.IOEventDispatch
`CONNECTION_KEY`

Constructor Summary
`DefaultHttpClientIODispatch(H handler, ConnectionConfig config)`
`DefaultHttpClientIODispatch(H handler, HttpParams params)` Deprecated. (4.3) use `DefaultHttpClientIODispatch( NHttpClientEventHandler, ConnectionConfig)`
`DefaultHttpClientIODispatch(H handler, NHttpConnectionFactory<? extends DefaultNHttpClientConnection> connFactory)` Creates a new instance of this class to be used for dispatching I/O event notifications to the given protocol handler.
`DefaultHttpClientIODispatch(H handler, SSLContext sslContext, ConnectionConfig config)`
`DefaultHttpClientIODispatch(H handler, SSLContext sslContext, HttpParams params)` Deprecated. (4.3) use `DefaultHttpClientIODispatch( NHttpClientEventHandler, SSLContext, ConnectionConfig)`
`DefaultHttpClientIODispatch(H handler, SSLContext sslContext, SSLSetupHandler sslHandler, ConnectionConfig config)`
`DefaultHttpClientIODispatch(H handler, SSLContext sslContext, SSLSetupHandler sslHandler, HttpParams params)` Deprecated. (4.3) use `DefaultHttpClientIODispatch( NHttpClientEventHandler, SSLContext, SSLSetupHandler, ConnectionConfig)`

Method Summary
`static
`<T extends NHttpClientEventHandler> DefaultHttpClientIODispatch<T>`
` | `create(T handler, SSLContext sslContext, ConnectionConfig config)` Creates a new instance of this class to be used for dispatching I/O event notifications to the given protocol handler.
`static
`<T extends NHttpClientEventHandler> DefaultHttpClientIODispatch<T>`
` | `create(T handler, SSLContext sslContext, SSLSetupHandler sslHandler, ConnectionConfig config)` Creates a new instance of this class to be used for dispatching I/O event notifications to the given protocol handler.
`protected DefaultNHttpClientConnection` | `createConnection(IOSession session)`
`NHttpConnectionFactory<? extends DefaultNHttpClientConnection>` | `getConnectionFactory()` Gets the connection factory used to construct this dispatch.
`H` | `getHandler()` Gets the handler used to construct this dispatch.
`protected void` | `onClosed(DefaultNHttpClientConnection conn)`
`protected void` | `onConnected(DefaultNHttpClientConnection conn)`
`protected void` | `onException(DefaultNHttpClientConnection conn, IOException ex)`
`protected void` | `onInputReady(DefaultNHttpClientConnection conn)`
`protected void` | `onOutputReady(DefaultNHttpClientConnection conn)`
`protected void` | `onTimeout(DefaultNHttpClientConnection conn)`

Methods inherited from class org.apache.http.impl.nio.reactor.AbstractIODispatch
`connected, disconnected, inputReady, outputReady, timeout`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultHttpClientIODispatch

    public DefaultHttpClientIODispatch(H handler,
                                       NHttpConnectionFactory<? extends DefaultNHttpClientConnection> connFactory)

  Creates a new instance of this class to be used for dispatching I/O event notifications to the given protocol handler.

  Parameters:
    `handler` - the client protocol handler.
    `connFactory` - HTTP client connection factory.

### DefaultHttpClientIODispatch

    @Deprecated
    public DefaultHttpClientIODispatch(H handler,
                                                  HttpParams params)

  Deprecated. (4.3) use `DefaultHttpClientIODispatch( NHttpClientEventHandler, ConnectionConfig)`

### DefaultHttpClientIODispatch

    @Deprecated
    public DefaultHttpClientIODispatch(H handler,
                                                  SSLContext sslContext,
                                                  SSLSetupHandler sslHandler,
                                                  HttpParams params)

  Deprecated. (4.3) use `DefaultHttpClientIODispatch( NHttpClientEventHandler, SSLContext, SSLSetupHandler, ConnectionConfig)`

### DefaultHttpClientIODispatch

    @Deprecated
    public DefaultHttpClientIODispatch(H handler,
                                                  SSLContext sslContext,
                                                  HttpParams params)

  Deprecated. (4.3) use `DefaultHttpClientIODispatch( NHttpClientEventHandler, SSLContext, ConnectionConfig)`

### DefaultHttpClientIODispatch

    public DefaultHttpClientIODispatch(H handler,
                                       ConnectionConfig config)

Since:
  4.3

### DefaultHttpClientIODispatch

    public DefaultHttpClientIODispatch(H handler,
                                       SSLContext sslContext,
                                       SSLSetupHandler sslHandler,
                                       ConnectionConfig config)

Since:
  4.3

### DefaultHttpClientIODispatch

    public DefaultHttpClientIODispatch(H handler,
                                       SSLContext sslContext,
                                       ConnectionConfig config)

Since:
  4.3

Method Detail

### create

    public static <T extends NHttpClientEventHandler> DefaultHttpClientIODispatch<T> create(T handler,
                                                                                            SSLContext sslContext,
                                                                                            ConnectionConfig config)

  Creates a new instance of this class to be used for dispatching I/O event notifications to the given protocol handler.

  Parameters:
    `handler` - the client protocol handler.
    `sslContext` - an SSLContext or null (for a plain text connection.)
    `config` - a connection configuration
  Returns:
    a new instance
  Since:
    4.4.7

### create

    public static <T extends NHttpClientEventHandler> DefaultHttpClientIODispatch<T> create(T handler,
                                                                                            SSLContext sslContext,
                                                                                            SSLSetupHandler sslHandler,
                                                                                            ConnectionConfig config)

  Creates a new instance of this class to be used for dispatching I/O event notifications to the given protocol handler.

  Parameters:
    `handler` - the client protocol handler.
    `sslContext` - an SSLContext or null (for a plain text connection.)
    `sslHandler` - customizes various aspects of the TLS/SSL protocol.
    `config` - a connection configuration
  Returns:
    a new instance
  Since:
    4.4.7

### createConnection

    protected DefaultNHttpClientConnection createConnection(IOSession session)

  Specified by:
    `createConnection` in class `AbstractIODispatch<DefaultNHttpClientConnection>`

### getConnectionFactory

    public NHttpConnectionFactory<? extends DefaultNHttpClientConnection> getConnectionFactory()

  Gets the connection factory used to construct this dispatch.

  Returns:
    the connection factory used to construct this dispatch.
  Since:
    4.4.9

### getHandler

    public H getHandler()

  Gets the handler used to construct this dispatch.

  Returns:
    the handler used to construct this dispatch.
  Since:
    4.4.9

### onConnected

    protected void onConnected(DefaultNHttpClientConnection conn)

  Specified by:
    `onConnected` in class `AbstractIODispatch<DefaultNHttpClientConnection>`

### onClosed

    protected void onClosed(DefaultNHttpClientConnection conn)

  Specified by:
    `onClosed` in class `AbstractIODispatch<DefaultNHttpClientConnection>`

### onException

    protected void onException(DefaultNHttpClientConnection conn,
                               IOException ex)

  Specified by:
    `onException` in class `AbstractIODispatch<DefaultNHttpClientConnection>`

### onInputReady

    protected void onInputReady(DefaultNHttpClientConnection conn)

  Specified by:
    `onInputReady` in class `AbstractIODispatch<DefaultNHttpClientConnection>`

### onOutputReady

    protected void onOutputReady(DefaultNHttpClientConnection conn)

  Specified by:
    `onOutputReady` in class `AbstractIODispatch<DefaultNHttpClientConnection>`

### onTimeout

    protected void onTimeout(DefaultNHttpClientConnection conn)

  Specified by:
    `onTimeout` in class `AbstractIODispatch<DefaultNHttpClientConnection>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005–2021 The Apache Software Foundation. All rights reserved.